Summary:	Extended version of tolua, a tool to integrate C/C++ code with Lua
Summary(pl.UTF-8):	Rozszerzona wersja tolua, narzędzia integrującego kod C/C++ z Lua
Name:		tolua++
Version:	1.0.93
Release:	5
License:	MIT
Group:		Development/Tools
Source0:	http://www.codenix.com/~tolua/%{name}-%{version}.tar.bz2
# Source0-md5:	100aa6907b8108582080b37d79c0afd7
Patch0:		%{name}-lua51.patch
URL:		http://www.codenix.com/~tolua/
BuildRequires:	lua51-devel
BuildRequires:	scons
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tolua++ is an extension of tolua, a tool to integrate C/C++ code with
Lua. tolua++ includes new features oriented to c++, such as class
templates.

tolua is a tool that greatly simplifies the integration of C/C++ code
with Lua. Based on a "cleaned" header file, tolua automatically
generates the binding code to access C/C++ features from Lua.

%description -l pl.UTF-8
tolua++ jest rozszerzeniem tolua, narzędzia integrującego kod C/C++ z
Lua. tolua++ zawiera nowe, zorientowane na c++ cechy takie jak wzorce
klas.

tolua jest narzędziem które znacznie upraszcza integracje kodu C/C++ z
Lua. Bazując na "oczyszczonych" plikach nagłówkowych tolua
automatycznie generuje kod umożliwiający Lua dostęp do struktur i
funkcji C/C++.

%package libs
Summary:	tolua++ shared library
Summary(pl.UTF-8):	Biblioteka współdzielona tolua++
Group:		Libraries
Conflicts:	tolua++-devel < 1.0.93-5

%description libs
tolua++ shared library.

%description libs -l pl.UTF-8
Biblioteka współdzielona tolua++.

%package devel
Summary:	tolua++ header files
Summary(pl.UTF-8):	Pliki nagłówkowe tolua++
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for tolua++.

%description devel -l pl.UTF-8
Pliki nagłówkowe tolua++.

%package static
Summary:	tolua++ static library
Summary(pl.UTF-8):	Biblioteka statyczna tolua++
Group:		Development/Tools
Requires:	%{name}-devel = %{version}-%{release}

%description static
tolua++ static library.

%description static -l pl.UTF-8
Biblioteka statyczna tolua++.

%prep
%setup -q
%patch0 -p1

%build
%scons \
	CCFLAGS="%{rpmcflags} -I/usr/include/lua51 -ansi -fPIC" \
	LINKFLAGS="%{rpmldflags}"

%{__cc} %{rpmldflags} -shared src/lib/tolua_{event,is,map,push,to}.o -o lib/libtolua++.so -llua51 -ldl -lm
%{__cc} %{rpmldflags} -Llib src/bin/toluabind.o src/bin/tolua.o -o bin/tolua++ -ltolua++ -llua51

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_includedir},%{_libdir}}

install bin/tolua++ $RPM_BUILD_ROOT%{_bindir}
install include/tolua++.h $RPM_BUILD_ROOT%{_includedir}
install lib/lib* $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/tolua++

%files libs
%defattr(644,root,root,755)
%doc COPYRIGHT README README-5.1 doc/*
%attr(755,root,root) %{_libdir}/libtolua++.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/tolua++.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libtolua++.a
%{_libdir}/libtolua++_static.a
%changelog
* Tue Jul 31 2012 Jakub Bogusz <qboosh@pld-linux.org> 0f1108e
- added -libs again, -devel is not meant to provide shared libs (and have circular loop with main)
- clarified License (MIT style), include COPYRIGHT file in docs
- release 5

* Tue Nov 09 2010 lisu <lisu@pld-linux.org> ee8b5c7
- pass ldflags

* Tue Nov 09 2010 lisu <lisu@pld-linux.org> cbd99a3
- obsolete

* Tue Nov 09 2010 lisu <lisu@pld-linux.org> 64b8518
- pass rpmcflags

* Tue Nov 09 2010 lisu <lisu@pld-linux.org> 5cd9943
- reverse split, devel subpackage is sufficient
- rel 4

* Tue Nov 09 2010 lisu <lisu@pld-linux.org> 50ece13
- proper R for static package

* Tue Nov 09 2010 lisu <lisu@pld-linux.org> a7d6d1c
- split devel package to devel and libs
- rel 3

* Mon Nov 08 2010 lisu <lisu@pld-linux.org> 718812d
- install dynamic library and headers as -devel
- rel 2

* Mon Nov 08 2010 lisu <lisu@pld-linux.org> bac2247
- fix files

* Mon Nov 08 2010 lisu <lisu@pld-linux.org> 01f3ed3
- add -fPIC to CCFLAGS

* Mon Nov 08 2010 lisu <lisu@pld-linux.org> 33142bf
- compile with -fPIC, this should fix 64bits build

* Mon Nov 08 2010 lisu <lisu@pld-linux.org> dca9fca
- fix x86_64 build

* Mon Nov 08 2010 lisu <lisu@pld-linux.org> 95331f9
- use lua51 libs

* Mon Nov 08 2010 lisu <lisu@pld-linux.org> 5057d77
- up to 1.0.93
- lua51 support
- more verbose files
- cleanup

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 27b5a5f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4925540
- converted to UTF-8

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> 1a86f84
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

* Mon Dec 12 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 9754080
- %{_includedir} macro used

* Sun Feb 06 2005 Paweł Cyranek <pawel.cyranek@gmail.com> fef6935
- updated to 1.0.4

* Sun Oct 31 2004 ankry <ankry@pld-linux.org> cabf704
- standarized

